<?php

	if (!function_exists('bloginfo')) {

		$root = str_replace('\\','/',dirname(dirname(dirname(dirname(dirname(__FILE__))))) ). '/' ;

		if (file_exists( $root . 'wp-load.php') )
			require_once( $root . 'wp-load.php');
		elseif (file_exists( 'wp-load.php') )
			require_once( 'wp-load.php');
		elseif (file_exists( $root . 'wp-config.php') )
			require_once( $root . 'wp-config.php');
		elseif (file_exists( 'wp-config.php') )
			require_once( 'wp-config.php');
		else exit("Could not find wp-load.php or wp-config.php");
	}

// check for rights
/*
if ( !is_user_logged_in() || !current_user_can('edit_posts') )
	wp_die(__("You are not allowed to be here"));

global $wpdb;
*/

define('EG_SERIES_OPTIONS_ENTRY', 'eg-series_options');
define('EG_SERIES_TEXTDOMAIN',    'eg-series');

$eg_series_options = get_option(EG_SERIES_OPTIONS_ENTRY);
$series_data = & EG_Series_Data::get_instance(EG_SERIES_OPTIONS_ENTRY);

$current_serie = $series_data->get_post_serie( $eg_series_options['custom_field_name'], $_GET['post_id']);

$series_select_string = $series_data->get_series( $eg_series_options['custom_field_name'],
											'select',		/* list_tag 		  */
											0, 				/* width 			  */
											1, 				/* height			  */
											'',				/* title of list 	  */
											'',				/* html tag for title */
											'series_list',	/* Select/option name */
											$current_serie, /* Default value	  */
											FALSE, 			/* auto_submit		  */
											0,				/* more_series		  */
											TRUE);			/* add no_serie 	  */
							
$list_type = '<option value="select">'.__('Select', EG_SERIES_TEXTDOMAIN ).'</option>'.
			'<option value="ul" >'.__('Simple list', EG_SERIES_TEXTDOMAIN ).'</option>'.
			'<option value="ol" selected>'.__('Ordered list', EG_SERIES_TEXTDOMAIN ).'</option>';

?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<title>EG Series</title>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="eg-series.js"></script>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';">
	<form name="EGSeries" action="#">
		<div class="tabs">
			<ul>
				<li id="posts_tab" class="current"><span><a href="javascript:mcTabs.displayTab('posts_tab','posts_panel');" onmousedown="return false;"><?php _e("Posts shortcode", EG_SERIES_TEXTDOMAIN ); ?></a></span></li>
				<li id="series_tab"><span><a href="javascript:mcTabs.displayTab('series_tab','series_panel');" onmousedown="return false;"><?php _e("Series shortcode", EG_SERIES_TEXTDOMAIN); ?></a></span></li>
			</ul>
		</div>
	<div class="panel_wrapper">	
		<div id="posts_panel" class="panel current">
			<input type="hidden" name="posts_shortcode_tag" id="posts_shortcode_tag" value="<?php echo $eg_series_options['shortcode_list_posts']; ?>" />
			<table border="0">
				<tr valign="top">
					<td><label for="series_list"><?php _e('Choose a serie: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td class="left">
						<?php echo $series_select_string; ?>
						<input type="hidden" name="current_serie" id="current_serie" value="<?php echo $current_serie; ?>" />
					</td>
				</tr>
				<tr valign="top">
					<td><label for="posts_title"><?php _e('Title of the list: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td class="left"><input type="text" name="posts_title" id="posts_title" /></td>
				</tr>
				<tr valign="top">
					<td><label for="posts_title_tag"><?php _e('HTML tag for title: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td class="left"><input type="text" name="posts_title_tag" id="posts_title_tag" value="h2" /></td>
				</tr>
				<tr valign="top">
					<td><label for="posts_list_tag"><?php _e('Type of list: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td class="left"><select name="posts_list_tag" id="posts_list_tag"><?php echo $list_type; ?></select></td>
				</tr>
				<tr valign="top">
					<td><label for="posts_orderby"><?php _e('Order posts by: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td class="left"><select name="posts_orderby" id="posts_orderby"><option value="date"><?php _e('Date', EG_SERIES_TEXTDOMAIN); ?></option><option value="title"><?php _e('Title', EG_SERIES_TEXTDOMAIN); ?></option></select></td>
				</tr>
				<tr valign="top">
					<td><label for="posts_order"><?php _e('Order posts: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td class="left"><select name="posts_order" id="posts_order"><option value="ASC"><?php _e('Ascending', EG_SERIES_TEXTDOMAIN); ?></option><option value="DESC" selected><?php _e('Descending', EG_SERIES_TEXTDOMAIN); ?></option</select>
				</tr>
			</table>
			<p style="clear: both;">&nbsp;</p>
		</div>
		<div id="series_panel" class="panel">
			<input type="hidden" name="series_shortcode_tag" id="series_shortcode_tag" value="<?php echo $eg_series_options['shortcode_list_series']; ?>" />		
			<table border="0">
				<tr valign="top">
					<td><label for="series_title"><?php _e('Title of the list: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td><input type="text" name="series_title" id="series_title" /></td>
				</tr>
				<tr valign="top">
					<td><label for="series_title_tag"><?php _e('HTML Tag for title: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td><input type="text" name="series_title_tag" id="series_title_tag" value="h2" /></td>
				</tr>
				<tr valign="top">
					<td><label for="series_list_tag"><?php _e('Type of list: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td><select name="series_list_tag" id="series_list_tag"><?php echo $list_type; ?></select></td>
				</tr>
				<tr valign="top">
					<td><label for="series_number"><?php _e('Maximum number of list to display: ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td><input type="text" name="series_number" id="series_number" value="0" /></td>
				</tr>
				<tr valign="top">
					<td><label for="series_more"><?php _e('Whole list address (post/page id): ',EG_SERIES_TEXTDOMAIN); ?></label></td>
					<td><input type="text" name="series_more" id="series_more" value="0" /></td>
				</tr>
			</table>
		</div>
		<p style="clear: both;">&nbsp;</p>
	</div>

	<div class="mceActionPanel">
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php _e("Cancel", EG_SERIES_TEXTDOMAIN); ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php _e("Insert", EG_SERIES_TEXTDOMAIN); ?>" onclick="insertEGSeriesShortcode();" />
		</div>
	</div>

	</form>
</body>
</html>
